Package com.emc.documentum.rest.model

# Class FolderLink

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.FolderLink

All Implemented Interfaces:
  `Linkable`

public class FolderLink extends AbstractLinkable
Folder link resource

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderLink()`
  Constructor
  `FolderLink(String objectId)`
  Constructor
  `FolderLink(String parentId, String childId, boolean fromParentToChild)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChildId()`
  Get child id
  `String`
  `getHref()`
  Get href
  `String`
  `getObjectId()`
  get folder link id
  `String`
  `getParentId()`
  Get parent id
  `void`
  `setHref(String href)`
  Set href

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FolderLink

    public FolderLink()
    Constructor

  - ### FolderLink

    public FolderLink(String parentId, String childId, boolean fromParentToChild)
    Constructor
    Parameters:
      `parentId` - folder link parent id
      `childId` - folder link child id
      `fromParentToChild` - mark if folder link is from parent to child

  - ### FolderLink

    public FolderLink(String objectId)
    Constructor
    Parameters:
      `objectId` - folder link id

- ## Method Details

  - ### getHref

    public String getHref()
    Get href
    Returns:
      href

  - ### setHref

    public void setHref(String href)
    Set href
    Parameters:
      `href` - href string

  - ### getChildId

    public String getChildId()
    Get child id
    Returns:
      child id

  - ### getParentId

    public String getParentId()
    Get parent id
    Returns:
      parent id

  - ### getObjectId

    public String getObjectId()
    get folder link id
    Returns:
      folder link id